echo off
IF %1&==& GOTO Erreur
IF %2&==& GOTO Erreur
IF %0==INSTA GOTO :lecture
Cls
echo  
echo    To install this game on your hard disk, you must
echo    have at least 8 Mbytes of free disk space.
echo 
pause

md %2\ISHAR3
copy %0.BAT %2\ISHAR3\INSTA.BAT
%2
cd %2\ISHAR3
INSTA %1 %2 
goto :fin


:lecture
echo 
:rec1
echo ***** Insert DISK A in drive %1
pause
REM if not exist %1\bisou.io goto :rec1
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec2
echo ***** Insert DISK B in drive %1
pause
REM if not exist %1\amazones.io goto :rec2
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec3
echo ***** Insert DISK C in drive %1
pause
REM if not exist %1\intro.io goto :rec3
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec4:
echo ***** Insert DISK D in drive %1
pause
REM if not exist %1\lafin.io goto :rec4
xcopy %1\*.*
if errorlevel 2 goto :erreur2
goto :reussi

:reussi
echo 
echo     Installation finished.
echo     To play, choose START.EXE from the ISHAR3 sub-directory.
echo 
pause
Goto Fin


:erreur2
echo 
echo    ***** Procedure interrupted. *****
echo    ***** Installation failed.   *****
echo 
pause
goto :fin


:Erreur
echo 
echo       INSTALL Source_Drive Destination_Drive
echo       Ex: INSTALL A: C:
echo 
:Fin
